using System;
class Program
{
    static int Cifre(int b)
    {
        int mn = 1;
        while (b > 0)
        {
            mn *= b % 10;
            b /= 10;
        }
        return mn;
    }
    static void Main()
    {
        int m = int.Parse(Console.ReadLine());
        int[] n = new int[m];
        for (int i = 0; i < m; i++)
            n[i] = int.Parse(Console.ReadLine());
        List<int> a = new List<int>();
        for (int i = 0; i < m; i++)
        {
            for(int j = 1; j <= n[i]; i++)
            {
                int mn = Cifre(j);
                if(!a.Contains(mn))
                    a.Add(mn);
            }
            Console.WriteLine(a.Count);
            a.Clear();
        }
    }
}